package com.swago.room.audio

import com.swago.baseswago.model.live.audio.AudioSeatModel
import com.swago.baseswago.model.live.audio.IMAudioModel
import io.agora.rtc.IRtcEngineEventHandler

interface IAudioRoomListener {

    /**
     * 锁麦和解锁
     */
    fun lockOrUnlockSeat(imAudioModel: IMAudioModel)


    /**
     * 闭麦和开麦
     */
    fun openSeatMic()
    fun muteSeatMic()


    /**
     * 上麦和下麦
     */
    fun onSeatMic()
    fun downSeatMic()


    /**
     * 数据更新
     */
    fun updateData(audioSeatModel: AudioSeatModel)

    /**
     * 积分变更
     */
    fun changeJiFen(imAudioModel: IMAudioModel)

    /**
     * 积分清零
     */
    fun clearJiFen()

    /**
     * 用户说话回调
     */
    fun onAudioVolumeIndication(speakers: Array<out IRtcEngineEventHandler.AudioVolumeInfo>?){}
}